DOM::CSS2FontFaceSrc class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::CSS2FontFaceSrc Class Reference

The `CSS2Cursor` interface represents the src CSS Level 2 descriptor. More...

`#include <css_extensions.h>`

List of all members.

## Public Member Functions
| CSS2FontFaceSrc (const CSS2FontFaceSrc &other)
| CSS2FontFaceSrc (CSS2FontFaceSrcImpl *impl)
CSS2FontFaceSrc & | operator= (const CSS2FontFaceSrc &other)
DOM::DOMString | uri () const
| Specifies the source of the font, empty string otherwise.
void | setUri (const DOM::DOMString &)
| see uri
CSSValueList | format () const
| This attribute contains a list of strings for the format CSS function.
DOM::DOMString | fontFaceName () const
| Specifies the full font name of a locally installed font.
void | setFontFaceName (const DOM::DOMString &)
| see fontFaceName

## Detailed Description

The `CSS2Cursor` interface represents the src CSS Level 2 descriptor.

Definition at line 628 of file css_extensions.h.

## Member Function Documentation

DOMString CSS2FontFaceSrc::uri | ( |  | ) | const

| Specifies the source of the font, empty string otherwise. Definition at line 409 of file css_extensions.cpp.

void CSS2FontFaceSrc::setUri | ( | const DOM::DOMString & |  | ) |

  | see uri Exceptions:
  DOMException | SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.
NO_MODIFICATION_ALLOWED_ERR: Raised if this declaration is readonly. Definition at line 415 of file css_extensions.cpp.

CSSValueList CSS2FontFaceSrc::format | ( |  | ) | const

| This attribute contains a list of strings for the format CSS function. Definition at line 420 of file css_extensions.cpp.

DOMString CSS2FontFaceSrc::fontFaceName | ( |  | ) | const

| Specifies the full font name of a locally installed font. Definition at line 426 of file css_extensions.cpp.

void CSS2FontFaceSrc::setFontFaceName | ( | const DOM::DOMString & |  | ) |

  | see fontFaceName Exceptions:
  DOMException | SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.
NO_MODIFICATION_ALLOWED_ERR: Raised if this declaration is readonly. Definition at line 432 of file css_extensions.cpp.

The documentation for this class was generated from the following files:

- css_extensions.h
- css_extensions.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:22 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001